import React, { useState, useEffect, useRef } from 'react';
import { Select } from 'antd';
import apis from '../../services/apis';
import request from '../../utils/request'

const { Option } = Select;

function usePrevious(props) {
  const ref = useRef();
  useEffect(() => {
    ref.current = props;
  });
  return ref.current;
}

/**
 *
 *
 * @param {*} props
 * @returns
 */
const LivePlatSelect = props => {
  const [data, setData] = useState([])
  const [value, setValue] = useState([])

  useEffect(() => {
    getLivePlatList();
  }, [props.value])


  const getLivePlatList = e => {
    request({ ...apis.taliveActivity.livePlatList, params: { pageNum: 1, pageSize: 999 } }).then(data => {
        setData(data)
        checkValue(data)
        // 默认选中第一个
    })
  }


  const checkValue = (data) => {
    if (props.value) {
      const tempData = data.filter(f => f.id == props.value)
      const va = (tempData.length > 0) ? props.value : '平台已下线，请重新选择'
      props.onChange(va)

    }
  }

  return (
      <Select
      showSearch
      value={`${props.value || ''}`}
      style={{ width: '300px' }}
      placeholder="请选择平台"
      onChange={props.onChange}
      filterOption={(input, option) =>
        option.props.children && option.props.children.toLowerCase().indexOf(input.toLowerCase()) >= 0
      }>
          {data.map(live => (
            <Option key={live.id} value={`${live.id}`}>{live.livePlatName}</Option>
          ))}
      </Select>
  )
}
export default LivePlatSelect
